<?php
/**
 * Admin setting view
 *
 * @package wp-swift-page
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipoptz-wrap -->
<div id="ipoptz-setting" class="wrap ipoptz-wrap ipoptz-admin">
	<!-- start: .ipoptz-inner -->
	<div class="ipoptz-inner">

		<?php
		$this->view( 'admin/general/header' );
		?>

		<!-- start: .ipoptz-main -->
		<div class="ipoptz-main">
			<!-- start: .ipoptz-primary -->
			<div class="ipoptz-primary">

				<!-- start: .ipoptz-manage-wrap -->
				<div class="ipoptz-manage-wrap">
          <?php
          $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipoptz=1&action=setting';
          ?>
          <!-- start: .ipoptz-form -->
          <form id="ipoptz-form-setting" class="ipoptz-form-container ipoptz-form" method="post" action="<?php echo $formAction; ?>" enctype="multipart/form-data">

          	<!-- start: .container -->
            <div class="container-fluid container">

              <!-- start: .ipoptz-fields -->
              <div class="ipoptz-fields">


<h3 class="ipoptz-field-title mb20 py10">
  <?php _e( 'GTMetrix Settings', IPOPTZ_SLUG ); ?>
</h3>

<p><?php _e( 'Set the GTMetrix API settings for enabling GTMetrix statistics in Dashboard.', IPOPTZ_SLUG ); ?></p>

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x ipoptz-help-abs">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-gtmetrix-api-key">
			<?php _e( 'GTMetrix API Key', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<?php
    $key = get_option( '__ipoptz_gtmetrix_api_key', '' );
    ?>
    <input type="text" id="input-gtmetrix-api-key" class="ipoptz-input ipoptz-input-full" name="gtmetrix_api_key" value="<?php echo $key; ?>">


		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set the GTMetrix API key.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<!-- start: .ipoptz-field-row -->
<div class="ipoptz-field-row ipoptz-field-x ipoptz-help-abs">
	<div class="ipoptz-form-label col-md-3 col-sm-12">
		<label for="input-gtmetrix-email">
			<?php _e( 'GTMetrix Email', IPOPTZ_SLUG ); ?>
		</label>
	</div>
	<div class="ipoptz-field col-md-9 col-sm-12">

		<?php
    $email = get_option( '__ipoptz_gtmetrix_email', '' );
    ?>
    <input type="text" id="input-gtmetrix-email" class="ipoptz-input ipoptz-input-full" name="gtmetrix_email" value="<?php echo $email; ?>">


		<div class="ipoptz-help">
			<a class="ipoptz-btn-help ipoptz-btn ipoptz-btn-default" href="#"><i class="ipoptz-fa ipoptz-fa-question"></i></a>
			<div class="ipoptz-help-content ipoptz-hide">
				<?php _e( 'Set the GTMetrix account email address.', IPOPTZ_SLUG ); ?>
			</div>
		</div>
	</div>
</div>
<!-- end: .ipoptz-field-row -->

<div class="ipoptz-bottom-submit mt20 mb30">
  <button type="submit" class="ipoptz-form-submit ipoptz-btn ipoptz-btn-secondary ipoptz-btn-lg" id="do-save-setting" name="save_setting">
    <i class="ipoptz-fa ipoptz-fa-floppy-o"></i>
    <strong><?php _e( 'Save Change', IPOPTZ_SLUG ); ?></strong>
  </button>
</div>

							</div>
							<!-- end: .ipoptz-fields -->

						</div>
						<!-- end: .container -->
					</form>
					<!-- end: .ipoptz-form -->
				</div>
				<!-- end: .ipoptz-manage-wrap -->

			</div>
			<!-- end: .ipoptz-primary -->
		</div>
		<!-- end: .ipoptz-main -->

	</div>
	<!-- end: .ipoptz-inner -->
</div>
<!-- end: .ipoptz-wrap -->